Mobile Device Support for Email

SuperSonic Online unofficially supports many types of smartphones from a variety of vendors.

The phones and mobile devices below, however, are officially supported, having been tested by us to operate correctly with our servers

Android-based tablets, phones: Requires Android 2.2 or later
Apple iPhone: 3G or later.  Requires iOS 4.0 or later
Apple iPad: All generations supported.  Requires iOS 4.0 or later
Apple iPod Touch: 2nd Generation or later.  Requires iOS 4.0 or later
BlackBerry 10: all devices and operating system versions supported
BlackBerry legacy: Requires BlackBerry OS 6.0 or later
Windows tablet: All devices and operating system versions supported
Windows phone: All devices and operating system versions supported

Add Feedback